com.fasterxml.jackson.databind.deser

## Class DefaultDeserializationContext.Impl

- java.lang.Object
- - com.fasterxml.jackson.databind.DatabindContext
  - - com.fasterxml.jackson.databind.DeserializationContext
    - - com.fasterxml.jackson.databind.deser.DefaultDeserializationContext
      - - com.fasterxml.jackson.databind.deser.DefaultDeserializationContext.Impl

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DefaultDeserializationContext

      public static final class DefaultDeserializationContext.Impl
      extends DefaultDeserializationContext

  Actual full concrete implementation
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

      `DefaultDeserializationContext.Impl`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

      `_objectIds`

    - ### Fields inherited from class com.fasterxml.jackson.databind.DeserializationContext

      `_arrayBuilders, _cache, _config, _dateFormat, _factory, _featureFlags, _injectableValues, _objectBuffer, _parser, _view`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultDeserializationContext.Impl(DefaultDeserializationContext.Impl src, DeserializationConfig config, JsonParser jp, InjectableValues values)`
    `protected` | `DefaultDeserializationContext.Impl(DefaultDeserializationContext.Impl src, DeserializerFactory factory)`
    `` | `DefaultDeserializationContext.Impl(DeserializerFactory df)` Default constructor for a blueprint object, which will use the standard `DeserializerCache`, given factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultDeserializationContext` | `createInstance(DeserializationConfig config, JsonParser jp, InjectableValues values)` Method called to create actual usable per-deserialization context instance.
    `DefaultDeserializationContext` | `with(DeserializerFactory factory)` Fluent factory method used for constructing a blueprint instance with different factory

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

      `deserializerInstance, findObjectId, keyDeserializerInstance`

    - ### Methods inherited from class com.fasterxml.jackson.databind.DeserializationContext

      `_calcName, _desc, _valueDesc, constructCalendar, constructType, determineClassName, endOfInputException, findClass, findContextualValueDeserializer, findInjectableValue, findKeyDeserializer, findRootValueDeserializer, getActiveView, getAnnotationIntrospector, getArrayBuilders, getBase64Variant, getConfig, getDateFormat, getFactory, getLocale, getNodeFactory, getParser, getTimeZone, getTypeFactory, handleUnknownProperty, hasValueDeserializerFor, instantiationException, instantiationException, isEnabled, leaseObjectBuffer, mappingException, mappingException, mappingException, parseDate, reportUnknownProperty, returnObjectBuffer, unknownTypeException, weirdKeyException, weirdNumberException, weirdNumberException, weirdStringException, weirdStringException, wrongTokenException`

    - ### Methods inherited from class com.fasterxml.jackson.databind.DatabindContext

      `canOverrideAccessModifiers, constructSpecializedType, constructType, converterInstance, isEnabled, objectIdGeneratorInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDeserializationContext.Impl

          public DefaultDeserializationContext.Impl(DeserializerFactory df)

      Default constructor for a blueprint object, which will use the standard `DeserializerCache`, given factory.

    - #### DefaultDeserializationContext.Impl

          protected DefaultDeserializationContext.Impl(DefaultDeserializationContext.Impl src,
                                            DeserializationConfig config,
                                            JsonParser jp,
                                            InjectableValues values)

    - #### DefaultDeserializationContext.Impl

          protected DefaultDeserializationContext.Impl(DefaultDeserializationContext.Impl src,
                                            DeserializerFactory factory)

  - ### Method Detail

    - #### createInstance

          public DefaultDeserializationContext createInstance(DeserializationConfig config,
                                                     JsonParser jp,
                                                     InjectableValues values)

      Description copied from class: `DefaultDeserializationContext`
      Method called to create actual usable per-deserialization context instance.
      Specified by:
        `createInstance` in class `DefaultDeserializationContext`

    - #### with

          public DefaultDeserializationContext with(DeserializerFactory factory)

      Description copied from class: `DefaultDeserializationContext`
      Fluent factory method used for constructing a blueprint instance with different factory
      Specified by:
        `with` in class `DefaultDeserializationContext`

Copyright © 2012-2013 FasterXML. All Rights Reserved.